View Issue Details

IDProjectCategoryView StatusLast Update
0011952ScribusUser Interfacepublic2015-07-17 06:07
Reporterperosredo Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Status confirmedResolutionopen 
PlatformLinuxOSXubuntuOS Version14.04
Product Version1.5.0svn 
Target Version1.6 milestoneFixed in Version 
Summary0011952: Character Palette UI enhancements
Description1) DONE The icons in the Character Palette do not, but should, have explanatory tooltips

2) There should be something indicating that the empty boxes are for 'favorite characters', perhaps a heading

3) The empty boxes should be accompanied by something indicating that they can be filled via drag-and-drop, perhaps a tooltip

4) Insert -> _Glyph_ opens a window called _Character Palette_ which doesn't have the word 'glyph mentioned anywhere in it or in the subsequent windows - it's rather disorienting. There's seldom any instances where there's such a large wording discrepancy of the menu name of a window.

It would make more sense to keep the Character Palette terminology since that is closer to what's commonly accepted in other software, but adding that to the menu would cause confusion due to the presence of the Character menu item right below - that one is further confusing in itself since it encompasses everything from punctuation to symbols to _page numbers_ and while best left to its own ticket, for the purposes of this one can be renamed tempoarily to something like Special Characters(?).

5) Keep the 'Unicode Search' window from closing each time one chooses a character to add to it. That way one can make multiple selections.

6) Offset the 'Unicode Search' window to open under the 'Character Palette' and not behind it.
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0010115 closed Improve the usability of character palette 
related to 0011988 closedcbradney Preselected glyphs hint bubble should also display the unicode name of the glyph and the name of the font 
related to 0012032 closed Glyph/Character Menu/Window naming inconsistency 
related to 0011067 closed Insert glyph window 

Activities

perosredo

2014-02-01 08:40

reporter   ~0031239

A suggestion for my third point - oops, should have numbered them - could be that double clicking the glyph in the Enchanced Character Palette window inserts it into one of those boxes.

I would have never guessed that drag 'n drop is how you do this, and even got stuck on it after learning it the first time around - drag n' drop is rarely used anywhere in any other productivity software and is very unintuitive.

This is also the subject of 0010115.

Kunda

2015-07-07 01:32

manager   ~0035675

Here is a back-of-a-napkin mockup:

Text reads:
Please add glyphs to the glyph palette below by choosing them from the: enhanced character palette, unicode search, or by import.

Kunda

2015-07-07 01:32

manager  

glyph_palette_mockup.png (19,381 bytes)
glyph_palette_mockup.png (19,381 bytes)

Kunda

2015-07-08 13:59

manager   ~0035688

Perhaps we can change the name from Character Palette to Glyph/Character Palette ?

Kunda

2015-07-16 23:23

manager   ~0035809

Here is a screenshot of how the Char Palette looks like now:
http://bugs.scribus.net/file_download.php?file_id=7442&type=bug

ale

2015-07-17 06:07

manager   ~0035815

imo, if something gets changed in the char palette, we should go towards a single dialog with both the "scrapbook" and the choice of the glyphs.

and it should be possible to directly add the glyphs to the text...

Issue History

Date Modified Username Field Change
2014-01-12 22:08 perosredo New Issue
2014-02-01 08:40 perosredo Note Added: 0031239
2014-07-14 16:10 Kunda Relationship added related to 0010115
2014-07-14 16:12 Kunda Relationship deleted related to 0010115
2014-07-14 16:13 Kunda Relationship added has duplicate 0010115
2014-07-14 16:15 Kunda Relationship added related to 0011988
2014-07-14 16:20 Kunda Relationship added related to 0012032
2014-08-01 20:43 Kunda Tag Attached: tooltips
2014-10-07 23:23 Kunda Tag Detached: tooltips
2015-06-26 21:24 Kunda Relationship added related to 0011067
2015-06-26 21:32 Kunda Patch => No
2015-06-26 21:32 Kunda Target Version => 1.6 milestone
2015-06-27 06:24 JLuc Status new => confirmed
2015-07-07 01:23 Kunda Description Updated View Revisions
2015-07-07 01:32 Kunda Note Added: 0035675
2015-07-07 01:32 Kunda File Added: glyph_palette_mockup.png
2015-07-07 01:36 Kunda Description Updated View Revisions
2015-07-08 13:59 Kunda Note Added: 0035688
2015-07-08 14:02 Kunda Description Updated View Revisions
2015-07-16 23:23 Kunda Note Added: 0035809
2015-07-17 06:07 ale Note Added: 0035815